<template>
  <view />
</template>
<script>
/**
 * 小程序与H5交互中转页面
 * 由于小程序webview显示，只能通过页面跳转和改变webview上的src的hash来实现交互
 * 此页面为中转页面，数据格式与app一致
 **/
import sdkMethods from "./mpSdkMethods.mixins";
let optionData = {};
export default {
  mixins: [sdkMethods],
  data() {
    return {
      isNewOpen: false
    };
  },
  onLoad(option) {
    uni.setNavigationBarTitle({ title: this.$config("defaultTitle") });
    uni.showLoading({
      /* #ifdef MP-WEIXIN */
      mask: true,
      /* #endif */
      title: "加载中..."
    });
    optionData = option;
    if (optionData.event) {
      // methods中的方法与event一致，方便管理
      this[optionData.event](option);
    }
  },
  onShow() {
    if (optionData.event === "getToken") {
      if (uni.getStorageSync("token")) {
        uni.$emit("WEBVIEW_URL_CHANGE", {
          event: "getToken"
        });
      }
    }
    this.isNewOpen && this.navBack();
  },
  onHide() {
    this.isNewOpen = true;
  },
  onUnload() {
    uni.hideLoading();
  }
};
</script>
